| Home | Libraries | People | FAQ | More

#### executor_type

A trait to determine the return type of get_executor.

##### Synopsis

Defined in header `<boost/beast/core/stream_traits.hpp>`

    template<
        class T>
    using executor_type = see-below;

##### Description

This type alias will be the type of values returned by by calling member `get_exector` on an object of type `T&`.

##### Parameters

Name | Description
--- | ---
`T` | The type to query

##### Return Value

The type of values returned from `get_executor`.

Convenience header `<boost/beast/core.hpp>`